org.hibernate.search.engine.impl

## Class MutableAnalyzerRegistry

- java.lang.Object
- - org.hibernate.search.engine.impl.MutableAnalyzerRegistry

- All Implemented Interfaces:
    AnalyzerRegistry

      public class MutableAnalyzerRegistry
      extends Object
      implements AnalyzerRegistry

  This class gives access to the set of analyzer references created for a given index manager type, creating new ones as necessary using the `AnalyzerStrategy` of that index manager type.
  Author:
    Yoann Rodiere

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ScopedAnalyzerReference.Builder` | `buildScopedAnalyzerReference()`
    `void` | `close()` Close analyzers if possible
    `List<AnalyzerReference>` | `getAllReferences()`
    `AnalyzerReference` | `getAnalyzerReference(Class<?> analyzerClazz)`
    `AnalyzerReference` | `getAnalyzerReference(String name)`
    `AnalyzerReference` | `getDefaultAnalyzerReference()`
    `Map<Class<?>,AnalyzerReference>` | `getLuceneClassAnalyzerReferences()`
    `Map<String,AnalyzerReference>` | `getNamedAnalyzerReferences()`
    `AnalyzerReference` | `getOrCreateAnalyzerReference(Class<?> analyzerClazz)`
    `AnalyzerReference` | `getOrCreateAnalyzerReference(String name)`
    `AnalyzerReference` | `getPassThroughAnalyzerReference()`
    `Collection<AnalyzerReference>` | `getScopedAnalyzerReferences()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getDefaultAnalyzerReference

          public AnalyzerReference getDefaultAnalyzerReference()

      Specified by:
        `getDefaultAnalyzerReference` in interface `AnalyzerRegistry`

    - #### getPassThroughAnalyzerReference

          public AnalyzerReference getPassThroughAnalyzerReference()

      Specified by:
        `getPassThroughAnalyzerReference` in interface `AnalyzerRegistry`

    - #### getNamedAnalyzerReferences

          public Map<String,AnalyzerReference> getNamedAnalyzerReferences()

      Specified by:
        `getNamedAnalyzerReferences` in interface `AnalyzerRegistry`

    - #### getLuceneClassAnalyzerReferences

          public Map<Class<?>,AnalyzerReference> getLuceneClassAnalyzerReferences()

      Specified by:
        `getLuceneClassAnalyzerReferences` in interface `AnalyzerRegistry`

    - #### getScopedAnalyzerReferences

          public Collection<AnalyzerReference> getScopedAnalyzerReferences()

      Specified by:
        `getScopedAnalyzerReferences` in interface `AnalyzerRegistry`

    - #### getAnalyzerReference

          public AnalyzerReference getAnalyzerReference(String name)

      Specified by:
        `getAnalyzerReference` in interface `AnalyzerRegistry`

    - #### getOrCreateAnalyzerReference

          public AnalyzerReference getOrCreateAnalyzerReference(String name)

    - #### getAnalyzerReference

          public AnalyzerReference getAnalyzerReference(Class<?> analyzerClazz)

      Specified by:
        `getAnalyzerReference` in interface `AnalyzerRegistry`

    - #### getOrCreateAnalyzerReference

          public AnalyzerReference getOrCreateAnalyzerReference(Class<?> analyzerClazz)

    - #### close

          public void close()

      Description copied from interface: `AnalyzerRegistry`
      Close analyzers if possible
      Specified by:
        `close` in interface `AnalyzerRegistry`

    - #### buildScopedAnalyzerReference

          public ScopedAnalyzerReference.Builder buildScopedAnalyzerReference()

    - #### getAllReferences

          public List<AnalyzerReference> getAllReferences()

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved